Skip to main content
`Ctrl`+`K`

# STFilterType

Selects the method used to build the filter.

## Synopsis

    typedef enum { ST_FILTER_FILTLAN   = 1,
                   ST_FILTER_CHEBYSHEV = 2 } STFilterType;

## Values

- `ST_FILTER_FILTLAN` - the filter is built with FILTLAN (Filtered Lanczos)

- `ST_FILTER_CHEBYSHEV` - the filter is built with a Chebyshev series

## See Also

ST: Spectral Transformation, `STFilterSetType()`, `STGetFilterType()`

## Level

intermediate

## Location

include/slepcst.h

Index of all ST routines Table of Contents for all manual pages Index of all manual pages